#ifndef LOCATIONCONTROLLER_H
#define LOCATIONCONTROLLER_H

#include "controller.h"

class Location;

class LocationController : public Controller
{
public:
    explicit LocationController(Controller::Initializer&& initializer);
    virtual ~LocationController() override;

    virtual std::string interact(std::shared_ptr<Actor> actor) override;
    void setDependentLocation(const std::shared_ptr<Location>& location);

private:
    std::shared_ptr<Location> _location;
};

#endif // LOCATIONCONTROLLER_H
