#include "item.h"

Item::Item(const std::string &label) :
    _label(label),
    _is_received(false)
{}

const std::string& Item::label() const
{
    return _label;
}

bool Item::isReceived() const
{
    return _is_received;
}

void Item::setReceived(bool received)
{
    _is_received = received;
}
