#ifndef ITEM_H
#define ITEM_H

#include <string>

class Item
{
public:
    explicit Item(const std::string& label);

    const std::string& label() const;
    bool isReceived() const;
    void setReceived(bool received);

private:
    std::string _label;
    bool _is_received;
};

#endif // ITEM_H
