#ifndef SANDBOXLEVELBUILDER_H
#define SANDBOXLEVELBUILDER_H

#include "levelbuilder.h"

class SandboxLevelBuilder : public LevelBuilder
{
public:
    explicit SandboxLevelBuilder();
    virtual ~SandboxLevelBuilder() override;

    virtual void init() override;
    virtual void save() override;
    virtual void load() override;

    virtual const std::shared_ptr<Controller>& getStartingController() const override;

private:
    std::shared_ptr<Controller> _starting_controller;
};

#endif // SANDBOXLEVELBUILDER_H
