#ifndef ITEMCONTROLLER_H
#define ITEMCONTROLLER_H

#include "controller.h"

class Item;

class ItemController : public Controller
{
public:
    explicit ItemController(Controller::Initializer&& initializer);
    virtual ~ItemController() override;

    virtual std::string interact(std::shared_ptr<Actor> actor) override;
    void setDependentItem(const std::shared_ptr<Item>& item);

private:
    std::shared_ptr<Item> _item;
};

#endif // ITEMCONTROLLER_H
