#ifndef LOCATIONREQUIREDPOLICY_H
#define LOCATIONREQUIREDPOLICY_H

#include <memory>
#include "policy.h"

class Location;

class LocationRequiredPolicy : public Policy
{
public:
    explicit LocationRequiredPolicy(const std::string& satisfaction, const std::string& dissatisfaction);
    virtual ~LocationRequiredPolicy() override;

    virtual Policy::CheckResult check() const override;

    void setRequiredLocation(const std::shared_ptr<Location>& location);

private:
    std::shared_ptr<Location> _location;
};

#endif // LOCATIONREQUIREDPOLICY_H
