#include "policy.h"

Policy::Policy(const std::string& satisfaction, const std::string& dissatisfaction) :
    _commentary_on_satisfaction(satisfaction),
    _commentary_on_dissatisfaction(dissatisfaction)
{}

Policy::~Policy()
{}

Policy::CheckResult Policy::composeMessageFromResult(bool result) const
{
    return {result, (result)
                    ? _commentary_on_satisfaction
                    : _commentary_on_dissatisfaction};
}
